import javax.mail._
import javax.mail.internet._
import java.util._

object GmailSender extends App {
  if(args.size < 2) {
    println("Usage: gmail-sender gmail-user gmail-password")
    sys.exit(1)
  }

  val Array(username, password, _*) = args

  val properties = new Properties()
  properties.put("mail.smtp.host", "smtp.gmail.com")
  properties.put("mail.smtp.starttls.enable","true")

  val message = new MimeMessage( Session.getDefaultInstance(properties) )
  val multipart = new MimeMultipart()
  val alternative = new MimeMultipart("alternative")

  val imageId = UUID.randomUUID.toString
  val textPart, htmlPart, wrap, attachmentPart, imagePart
      = new MimeBodyPart()
  textPart.setText("Тело письма")
  alternative.addBodyPart(textPart)
  htmlPart.setContent(s"""|А это - тело письма в <strong>HTML</strong>
                          | с картинкой: <img src="cid:$imageId" alt="" />
                          |""".stripMargin,
                      "text/html; charset=UTF-8")
  alternative.addBodyPart(htmlPart)

  wrap.setContent(alternative)

  multipart.addBodyPart(wrap)
  attachmentPart.attachFile("./build.sbt")
  multipart.addBodyPart(attachmentPart)

  imagePart.attachFile("./afiskon.jpg")
  imagePart.setContentID(s"<$imageId>")
  multipart.addBodyPart(imagePart)

  message.setFrom(s"User Name <$username>")
  message.addRecipients(Message.RecipientType.TO, s"User Name <$username>")
  message.setSubject("Сабжект")
  message.setContent(multipart)

  Transport.send(message, username, password)
}
